/**
 * @version		$Id: template_utilities.js 1.0 Dec 28, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaRealist
 * @author		OmegaTheme (services@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 * @description	This file contains templates utils as js.
*/
function chooseThisColor(color)
{
	setCookie('template_color', color, 1);
	window.location.reload(true);
}
function setCookie(c_name,value,expiredays)
{
	var exdate=new Date();
	exdate.setDate(exdate.getDate()+expiredays);
	document.cookie=c_name+ "=" +escape(value)+	((expiredays==null) ? "" : ";expires="+exdate.toUTCString());
}

var TemplateUtilities = {
	start: function() {
		/* Match height of div tags */
		TemplateUtilities.eqHeight();
	},
	
	/* equal height of div column */
	eqHeight: function() {
		var first_els = $$('#left');
		var second_els = $$('#main');
		var third_els = $$('#right');
		var maxHeight = 0;
		first_els.each(function(item, index){
			var height = parseInt(item.getStyle('height'));
			if(height > maxHeight){ maxHeight = height; }
		});
		second_els.each(function(item, index){
			var height = parseInt(item.getStyle('height'));
			if(height > maxHeight){ maxHeight = height; }
		});
		third_els.each(function(item, index){
			var height = parseInt(item.getStyle('height'));
			if(height > maxHeight){ maxHeight = height; }
		});
		first_els.setStyle('height', maxHeight+'px');
		second_els.setStyle('height', maxHeight+'px');
		third_els.setStyle('height', maxHeight+'px');
	}

};
window.addEvent('domready', TemplateUtilities.start);
