<?php // no direct access
/**
 * @package megafeaturedarticleshow for Joomla! 1.5
 * @version $Id: default.php 599 2010-11-12 23:26:33Z $
 * @author OMEGATHEME (services@omegatheme.com)
 * @copyright (C) 2010 - OMEGATHEME
 * @license GNU/GPL V2.0
**/
defined('_JEXEC') or die('Restricted access');

if (!function_exists('randomkeys')) {
	function randomkeys($length) {
		$pattern = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
		$key = '';
		for($i = 0; $i < $length; $i++)	{
			$key .= $pattern{rand(0,strlen($pattern)-1)};
		}
		return $key;
	}
}
$rid = randomkeys(16);

$show_link = $params->get('show_link', 1);
$panel_width = $params->get('panel_width', 900);
$panel_height = $params->get('panel_height', 300);
$overlay_position = $params->get('overlay_position', 'bottom');
$overlay_height = $params->get('overlay_height', 75);
$overlay_width = $params->get('overlay_width', 250);
$overlay_color = $params->get('overlay_color', '#000000');
$overlay_opacity = $params->get('overlay_opacity', 0.6);
$overlay_text_color = $params->get('overlay_text_color', '#FFFFFF');
$overlay_font_size = $params->get('overlay_font_size', '12px');
$overlay_heading_color = $params->get('overlay_heading_color', '#FDDE11');
?>
<div class="featuredarticleshow-wrapper" style="width:<?php echo $panel_width; ?>px; height:<?php echo $panel_height; ?>px;">
	<div id="featuredarticleshow_<?php echo $rid; ?>" style="position: relative; z-index: 1;">
		<?php foreach ($list as $item) :  ?>
		<div class="article_banner" style="position: absolute; display: none; z-index: 1; opacity: 1">
				<div class="slider_area">
					<div class="slider_img">
						<img src="<?php echo $item->images;?>" width="<?php echo $panel_width;?>" height="<?php echo $panel_height;?>" alt="<?php echo $item->title;?>" />
					</div>
					<div class="slider_content_bg"></div>
					<div class="slider_content" style="font-size:<?php echo $overlay_font_size ?>;">
						<h3 class="title" style="color:<?php echo $overlay_heading_color ?>">
							<?php if($show_link == 1){?>
								<a href="<?php echo $item->link?>" style="color:<?php echo $overlay_heading_color ?>"><?php echo $item->title?></a><br/>
							<?php }else{?>
								<span><?php echo $item->title;?></span>
							<?php }?>
						</h3>
						<p class="introtext" style="color:<?php echo $overlay_text_color ?>"><?php echo $item->introtext;?></p>
						<?php echo $item->readmore;?>
					</div>
				</div>	
		</div>
		<?php endforeach; ?>
	</div>
</div>
<script type="text/javascript" charset="utf-8">
//<![CDATA[
	var j = jQuery.noConflict();
	j(function(){
		var slideshow = j('#featuredarticleshow_<?php echo $rid; ?>')
		.after('<div id="slidenav">')
		.cycle({ 
			fx:     'fade', 
			speed:  '300', 
			timeout: 4000, 
			pager:  '#slidenav'
		});
		j('#slidenav').prepend('<span id="pauseButton" class="pause">&nbsp;</span>');
		j('#pauseButton').click(function() {
			var obj = j(this);
			if (obj.hasClass('pause')) {
				obj.removeClass('pause').addClass('play');
				slideshow.cycle('pause'); 
				} else if (obj.hasClass('play')) {
				obj.removeClass('play').addClass('pause');
				slideshow.cycle('resume');
			}
		});
		j('.slider_content, .slider_content_bg').css({
			'width': <?php echo $overlay_width ?>+'px',
			'height': <?php echo $overlay_height ?>+'px',
			'top': <?php echo ($overlay_position=='top'?'0':($overlay_position=='bottom'?($panel_height-$overlay_height-20):(($panel_height-$overlay_height-20)/2))) ?>+'px',
			'left': <?php echo (($overlay_position=='top' || $overlay_position=='bottom')?'0':($overlay_position=='left'?'0':($panel_width-$overlay_width-20))) ?>+'px'
		});
		j('.slider_content_bg').css({
			'background': '<?php echo $overlay_color ?>',
			'filter': 'alpha(opacity = <?php echo $overlay_opacity*10 ?>)',
			'-moz-opacity': <?php echo $overlay_opacity ?>,
			'-khtml-opacity': <?php echo $overlay_opacity ?>,
			'opacity': <?php echo $overlay_opacity ?>
		});
	});
//]]>
</script>

