<?php
/**
 * @package megafeaturedarticleshow for Joomla! 1.5
 * @version $Id: helper.php 599 2010-11-12 23:26:33Z $
 * @author OMEGATHEME (services@omegatheme.com)
 * @copyright (C) 2010- OMEGATHEME
 * @license GNU/GPL V2.0
**/
defined('_JEXEC') or die ('Restricted access');

require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
class modMegaFeaturedArticleShow{
	function getArticles(&$params)
	{
		global $mainframe;
		
		$number_of_article = (int) $params->get('number_of_article', 4);
		$number_of_character = (int) $params->get('number_of_character', 100);
		$catid = (int) $params->get('catid', 0);
		$order = $params->get('order', 0);
		$order_type = $params->get('order_type', 'asc');
		$show_readmore = $params->get('show_readmore', 0);
		$overlay_link_color = $params->get('overlay_link_color', '#FDDE11');
		$contentConfig = &JComponentHelper::getParams('com_content');
		$db 	=& JFactory::getDBO();
		
		$date =& JFactory::getDate();
		$now = $date->toMySQL();
		$nullDate = $db->getNullDate();
		
		if ($catid == 0){
			$cat ="";
		}else{
			$cat = ' AND cc.id = '. (int) $catid;
		} 
		
		switch($order) {
			case 0:
				$orderby = "a.created " . $order_type;
				break;
			case 1:
				$orderby = "a.modified " . $order_type;
				break;	
			case 2:
				$orderby  = "a.hits " . $order_type;
				break;
			case 3:
				$orderby  = "a.ordering " . $order_type;
				break;
			default:
				$orderby  = "RAND()";
				break;
		}
		
		$query = 'SELECT a.*,' .
			' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'.
			' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug'.
			' FROM #__content AS a' .
			' INNER JOIN #__categories AS cc ON cc.id = a.catid' .
			' INNER JOIN #__sections AS s ON s.id = a.sectionid' .
			' WHERE a.state = 1 ' .
			' AND (a.publish_up = '.$db->Quote($nullDate).' OR a.publish_up <= '.$db->Quote($now).') ' .
			' AND (a.publish_down = '.$db->Quote($nullDate).' OR a.publish_down >= '.$db->Quote($now).')' .
			 $cat .
			' AND cc.section = s.id' .
			' AND cc.published = 1' .
			' AND s.published = 1' .
			' ORDER BY '. $orderby;
		$db->setQuery($query, 0, $number_of_article);
		$rows = $db->loadObjectList();
		if (!$rows || empty($rows)) {
			return;
		}
		$lists	= array();
		foreach ($rows as $i => $row)
		{
			$lists[$i] = new stdClass;
			$lists[$i]->id = htmlspecialchars($row->id);
			$lists[$i]->link = JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug, $row->sectionid));
			$lists[$i]->title = htmlspecialchars($row->title);
			
			$lists[$i]->text= strip_tags(preg_replace('/<img([^>]+)>/i','',$row->introtext));
			$lists[$i]->introtext = substr($lists[$i]->text, 0, $number_of_character).'...';
			
			preg_match_all('/src="([^"]+)"/i', $row->introtext . $row->fulltext, $matches);
			if(empty($matches[1][0])){
				$lists[$i]->images = $params->get('image_default',JURI::root().'modules/mod_megafeaturedarticleshow/images/sampledefault.jpg');
			}else{
				$lists[$i]->images = $matches [1] [0];
			}
			
			if($show_readmore == 1){
				$lists[$i]->readmore = '<a style="color:'.$overlay_link_color.'" class="readmore" href = "' .$lists[$i]->link. '" title="'.$lists[$i]->title.'">'.JText::_('READMORE').'</a>' ; 
			}else{
				$lists[$i]->readmore ="";
			}
		}
	return $lists;
	}
}
?>
